<?php

use Lidonation\Adapayments\App\Enums\CurrencyEnum;
use Lidonation\Adapayments\Application;

$app = new Application();

$paymentAddressQrImage = $app->config->get('app.payment_address_qr_image');
$paymentAddress = $app->config->get('app.payment_address');
$blockfrostUrl = $app->config->get('services.blockfrost_url');
$blockfrostProjectId = $app->config->get('services.blockfrost_project_id');

// filter the item from items list
require app_base_path('src/items.php');
$item = $items->firstWhere('id', $_GET['id']);

// assign both currency values to $paymentsAmount based on the provided base currency
$paymentAmounts = [];
if ($item['currency'] == CurrencyEnum::USD->name) {
    $paymentAmounts['USD'] = [
        'name' => CurrencyEnum::USD->name,
        'symbol' => CurrencyEnum::USD->symbol(),
        'price' => $item['price']
    ];

    $paymentAmounts['ADA'] = [
        'name' => CurrencyEnum::ADA->name,
        'symbol' => CurrencyEnum::ADA->symbol(),
        'price' => round(usd_to_ada($item['price']), 2)
    ];
} elseif ($item['currency'] == CurrencyEnum::ADA) {
    $paymentAmounts['USD'] = [
        'name' => CurrencyEnum::USD->name,
        'symbol' => CurrencyEnum::USD->symbol(),
        'price' => ada_to_usd($item['price']),
    ];

    $paymentAmounts['ADA'] = [
        'name' => CurrencyEnum::ADA->name,
        'symbol' => CurrencyEnum::ADA->symbol(),
        'price' => $item['price'],
    ];
}

_view("store/details.view.php", [
    'item' => $item,
    'paymentAmounts' => $paymentAmounts,

    'paymentAddress' => $paymentAddress,
    'paymentAddressQrImage' => $paymentAddressQrImage,
    'blockfrostUrl' => $blockfrostUrl,
    'blockfrostProjectId' => $blockfrostProjectId
]);

