<?php

declare(strict_types=1);

namespace Lidonation\Adapayments\App\Http\Integrations\AdaUsdExchange\Requests;

use Lidonation\Adapayments\Application;
use Saloon\Enums\Method;
use Saloon\Http\Request;

class CoinapiGetQuoteRequest extends Request
{
    /**
     * The HTTP method of the request
     */
    protected Method $method = Method::GET;

    public function __construct(protected string $base, protected string $quote)
    {

    }

    public function defaultHeaders(): array
    {
        $app = new Application();
       
        return [
            'X-CoinAPI-Key' => $app->config->get('services.coinapi_api_key'), // not a must have
        ];
    }

    /**
     * The endpoint for the request
     */
    public function resolveEndpoint(): string
    {
        return 'https://rest.coinapi.io/v1/exchangerate/'.$this->base.'/'.$this->quote;
    }
}
