<?php

declare(strict_types=1);

namespace Lidonation\Adapayments\App\Http\Integrations\AdaUsdExchange\Requests;

use Lidonation\Adapayments\Application;
use Saloon\Enums\Method;
use Saloon\Http\Request;

class CoinmarketcapGetQuoteRequest extends Request
{
    /**
     * The HTTP method of the request
     */
    protected Method $method = Method::GET;

    public function __construct(protected int $id)
    {

    }

    public function defaultHeaders(): array
    {
        $app = new Application();
        
        return [
            'X-CMC_PRO_API_KEY' => $app->config->get('services.coinmarketcap_api_key'),
            'Accepts' => 'application/json',
        ];
    }

       /**
     * The endpoint for the request
     */
    public function resolveEndpoint(): string
    {
        return 'https://pro-api.coinmarketcap.com/v2/cryptocurrency/quotes/latest';
    }

    protected function defaultQuery(): array
    {
        return [
            'id' => $this->id,
        ];
    }
}
