<?php

namespace Lidonation\Adapayments\App\Http\Integrations\Blockfrost\Requests;


use App\Http\Integrations\Blockfrost\BlockfrostConnector;
use Saloon\Enums\Method;
use Saloon\Http\Connector;
use Saloon\Http\Request;
use Saloon\Traits\Request\HasConnector;

class BlockfrostRequest extends Request
{
    use HasConnector;

    /**
     * Define the HTTP method
     */
    protected Method $method = Method::GET;

    protected ?string $endpoint;

    public function resolveConnector(): Connector
    {
        return app(BlockfrostConnector::class);
    }

    /**
     * Define the endpoint for the request
     */
    public function resolveEndpoint(): string
    {
        return $this->endpoint;
    }

    public function setEndPoint($endpoint)
    {
        return $this->endpoint = $endpoint;
    }
}
