<?php

declare(strict_types=1);

namespace Lidonation\Adapayments;

use Dotenv\Dotenv;

class Application
{
    public Config $config;

    public array $paths = [];

    public function __construct()
    {
        $this->setupPaths();

        $dotenv = Dotenv::createImmutable($this->paths['env_file_path']);
        $dotenv->safeLoad();

        $this->config = new Config();
        $this->config->loadConfigurationFiles(
            $this->paths['config_path'],
            $this->getEnvironment()
        );
    }

    private function setupPaths(): void
    {
        $this->paths['env_file_path'] = __DIR__;
        $this->paths['env_file'] = "{$this->paths['env_file_path']}/.env";
        $this->paths['config_path'] = __DIR__.'/config/';
    }

    public function getEnvironment(): string
    {
        return getenv('ENVIRONMENT') ?: 'production';
    }
}
