"use strict";

export default class View {

  popup = document.querySelector('#popup');

  renderSpinner(size) {
    const markup = `
        <span
        class="flex items-center justify-center w-full p-2 bg-white rounded-full bg-opacity-90">
            <svg
                class="relative w-${size} h-${size} lg:h-${size} lg:w-${size} border-blue-500 border-t-2 border-b-2 rounded-full animate-spin"
                viewBox="0 0 24 24"></svg>
        </span>
    `;

    this.parentElement.insertAdjacentHTML('afterbegin', markup);
  }

  renderError(message) {
    const markup = `
      <div class="p-4 border-red-500 bg-red-500 text-white">
        ${message}
      </div>
    `;
    this.popup.innerHTML = markup;
  }

  renderMessage(message) {
    const markup = `
      <div class="p-4 border-blue-500 bg-blue-500 text-white">
        ${message}
      </div>
    `;

    this.popup.innerHTML = markup;
  }
}
