"use strict";

import View from "./View.js";

class SubmittingOrderView extends View {
    parentElement = document.querySelector("#itemDetails");
    total = document.querySelector("#total");
    currency = document.querySelector("#currency");
    errorMessage = "";
    message = "";

    getSubmittedOrder() {
        return {
            total: this.total.value,
            currency: this.currency.value,
        };
    }

    renderProcessing(wallet) {
        const markup = `
      <div class="flex flex-col p-4">
        <span class="text-center">Sending to:
        </span>
        <span class="text-rose-500 break-words">${wallet.payment_address}</span>
      </div>
    `;
        this.parentElement.innerHTML = markup;
    }

    addHandlerRender(handler) {
        this.parentElement
            ?.querySelector("#submitButton")
            .addEventListener("click", function (e) {
                e.preventDefault();
                handler();
            });
    }
}

export default new SubmittingOrderView();
