<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://cdn.tailwindcss.com"></script>
    <script src="https://kit.fontawesome.com/f6777e9957.js" crossorigin="anonymous"></script>
    <title>Item Details</title>
</head>
<body class="py-8 px-16">
    <header class="flex flex-col mb-12">
        <div class="flex flex-row items-center justify-between mb-8">
            <h1 class="text-[16px] text-black/80 ml-4"><a>Shop</a></h1>

            <p class="font-semibold text-[16px] text-black/80">ADAPAYMENT</p>

            <i class="fa-solid fa-cart-shopping text-[20px]"></i>
        </div>
        <div class="flex flex-row items-center justify-between my-4">
            <a href="/store" class="font-bold text-[16px] text-black/80">STORE</a>

            <div class="flex flex-row items-center gap-4 text-black/70 text-[16px]">
                <i class="fa-solid fa-filter"></i>
                <i class="fa-solid fa-magnifying-glass"></i>
            </div>
        </div>
    </header>
    <section class="pb-16 px-48 flex flex-row-reverse">
        <!-- drop 2 -->
        <?php require(app_base_path('src/resources/views/partials/connectWallet.php')) ?>

    </section>
    <section>
        <div id="itemDetails" class="flex flex-col items-center gap-8">
            <div>
                <div class="flex flex-col items-start gap-4">
                    <div>
                        <img src="<?php echo $item['img']; ?>" alt="<?php echo $item['name']; ?>" class="h-[500px]"/>
                    </div>

                    <div>
                        <p class="text-base flex gap-5">
                            <span>Item:</span>
                            <span class="text-lg"><?php echo $item['name']; ?></span>
                        </p>
                    </div>

                    <div class="flex flex-row flex-wrap gap-5">
                        <div class="text-base">
                            <p>Price:</p>
                        </div>
                        <div class="flex flex-row items-center gap-3">
                        <?php foreach($paymentAmounts as $payment): ?>
                            <div class="text-lg">
                                <span><?php echo $payment['name']; ?></span>
                                <span class="font-bold"><?php echo "{$payment['price']}  {$payment['symbol']}"; ?></span>
                            </div>
                        <?php endforeach; ?>
                        </div>
                    </div>
                </div>
            </div>
            <form method="POST">
                <input type="hidden" name="currency" id="currency" value="<?= $paymentAmounts['ADA']['name']; ?>">
                <input type="hidden" name="total" id="total" value="<?= $paymentAmounts['ADA']['price']; ?>">
                <button id="submitButton" class="button bg-rose-500 text-rose-100 px-4 py-2 font-bold rounded-lg">Submit Payment</button>
            </form>
        </div>
    </section>

    <!-- popup for errors and messages -->
    <div id="popup" class="absolute bottom-12 rounded-sm w-auto h-auto right-48 z-10"></div>

    <!-- js script -->
    <script>
        const paymentAddress = '<?= $paymentAddress; ?>';
        const paymentAddressQrImage = '<?= $paymentAddressQrImage; ?>';
        const blockfrostUrl = '<?= $blockfrostUrl; ?>';
        const blockfrostProjectId = '<?= $blockfrostProjectId; ?>';
    </script>
    <script type="module" src="../js/app.js"></script>
</body>
</html>
