<?php
session_start();

require_once 'items.php';

$cartCount = count($_SESSION['cart'] ?? []);
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://cdn.tailwindcss.com"></script>
    <script src="https://kit.fontawesome.com/f6777e9957.js" crossorigin="anonymous"></script>
    <title>Item Details</title>
</head>

<body class="py-8 px-16">
    <header class="flex flex-col mb-12">
        <div class="flex flex-row items-center justify-between mb-8">
            <h1 class="text-[16px] text-black/80 ml-4"><a>Shop</a></h1>
            <p class="font-semibold text-[16px] text-black/80">ADAPAYMENT</p>
            <div class="relative py-2">
                <a href="/store/cart.php">
                    <div class="t-0 absolute left-3 bottom-6">
                        <span class="flex h-2 w-2 items-center justify-center rounded-full bg-red-500 p-3 text-xs text-white"><?= $cartCount; ?></span>
                    </div>
                    <i class="fa-solid fa-cart-shopping text-[20px]"></i>
                </a>
            </div>
        </div>
        <div class="flex flex-row items-center justify-between my-4">
            <a href="/store" class="font-bold text-[16px] text-black/80">STORE</a>
            <div class="flex flex-row items-center gap-4 text-black/70 text-[16px]">
                <i class="fa-solid fa-filter"></i>
                <i class="fa-solid fa-magnifying-glass"></i>
            </div>
        </div>
    </header>

    <div class="flex flex-col items-center gap-8">
        <section class="main">
            <?php
            $id = isset($_GET['id']) ? (int)$_GET['id'] : null;
            $selectedItem = null;

            if ($id !== null && count($items)) {
                $selectedItems = array_filter($items, fn ($t) => $t['id'] == $id);
                $selectedItem = reset($selectedItems);
            }
            ?>

            <div id="itemDetails" class="flex flex-col items-center gap-8">
                <?php if ($selectedItem) : ?>
                    <img src="<?php echo $selectedItem['img']; ?>" alt="<?php echo $selectedItem['name']; ?>" class="h-[500px]" />
                    <div class="flex flex-row items-center gap-4">
                        <div class="text-[20px]">
                            <p>Item:</p>
                            <p>Price:</p>
                        </div>
                        <div class="text-[24px] font-bold">
                            <p><?php echo $selectedItem['name']; ?></p>

                            <?php

                            if ($selectedItem['id'] == 2) {
                                $price_in_ada = usd_to_ada((float)str_replace('$', '', $selectedItem['price']));
                                echo '<p>' . number_format($price_in_ada, 2) . ' ADA</p>';
                                echo '<p>' . $selectedItem['price'] . ' USD</p>';
                            } else {

                                echo '<p>' . $selectedItem['price'] . '</p>';
                            }
                            ?>
                        </div>
                    </div>

                    <form method="POST" action="addtocart.php?id=<?php echo $id; ?>">
                        <label for="name" class="sr-only"></label>
                        <input type="hidden" name="add_to_cart" value="1">
                        <button id="submit" class="button bg-rose-500 text-rose-100 px-4 py-2 font-bold rounded-lg">Add to Cart</button>
                    </form>

                    <div class="font-bold text-[24px] m-auto">
                        <div id="processingAnimation" style="display: none;">
                            Processing...
                        </div>
                        <div id="result"></div>
                        <div id="successMessage" style="display: none;">
                            Order Submitted Successfully!
                        </div>
                    </div>
                <?php else : ?>
                    <p>Item not found</p>
                <?php endif; ?>
            </div>
        </section>
    </div>
</body>

</html>
